Name:           poky-scripts
Version:        6
Release:        7%{?dist}
Summary:        Poky platform builder utility scripts

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://pokylinux.org
Source0:        http://debian.o-hand.com/etch/%{name}_6etch1.tar.gz
Source1:        README.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       sudo distcc distcc-server xorg-x11-server-Xephyr
Requires:       poky-depends

BuildArchitectures:  noarch

%description
%{name} contains utility scripts for Poky such as poky-qemu, which will
run a Poky image in QEMU with the right arguments.

%package        -n poky-depends
Summary:        Poky platform builder dependency package list
Group:          Applications/Engineering
Requires:       glibc-devel diffstat texinfo texi2html cvs subversion gawk help2man python-sqlite2 bzip2 compat-gcc-34 
Requires:       qemu >= 0.8.2

%if 0%{?fedora}
BuildArchitectures:  noarch
%endif

%description    -n poky-depends
%{name} is a meta-package that lists and installs the 
required packages for a Poky build.

%prep
%setup -q -n %{name}-%{version}etch1

# poky-depends
%{__cp} -p %{SOURCE1} %{_builddir}/%{name}-%{version}etch1

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -pm 755 -d %{buildroot}%{_datadir}/%{name}
%{__install} -pm 755 -d %{buildroot}%{_bindir}
%{__install} -pm 755 poky-qemu %{buildroot}%{_bindir}/
%{__install} -pm 755 poky-chroot-* %{buildroot}%{_bindir}/
%{__install} -pm 755 poky-qemu-* %{buildroot}%{_datadir}/%{name}
%{__install} -pm 755 poky-addptable2image %{buildroot}%{_datadir}/%{name}

# poky-depends
%{__install} -pm 755 -d %{buildroot}%{_docdir}/%{name}-%{version}
%{__install} -pm 644 %{SOURCE1} %{buildroot}%{_docdir}/%{name}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc poky-qemu.README
%{_bindir}/poky-*
%{_datadir}/%{name}

%files -n poky-depends
%defattr(-,root,root,-)
%doc README.fedora

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 20 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 6-6
- Added if condition for depends BuildArchitecture noarch.

* Wed Dec 16 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 6-5
- Moved glibc-devel to Requires.
- Removed redundant inclusion of datadir/name.

* Tue Dec 15 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 6-4
- Removed explicit Requires python from poky-depends.

* Thu Dec 10 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 6-3
- Removed glibc-headers.
- Removed poky-scripts, poky-depends circular dependency.

* Wed Dec 09 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 6-2
- Added sub-package poky-depends.

* Wed Dec 09 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 6-1
- Initial package.

